Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 620704 - hashlib not available in RHEL/EPEL 5
hashlib not available in RHEL/EPEL 5
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mrepo (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: James Findley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 06:01 EDT by David Juran
Modified: 2010-08-20 15:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: mrepo-0.8.7-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 15:57:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2010-08-03 06:01:51 EDT
Description of problem:
The latest update of mrepo (mrepo-0.8.7-1.el5) introduced a dependency on hashlib which isn't available in RHEL5 or EPEL5.


Version-Release number of selected component (if applicable):
mrepo-0.8.7-1.el5

How reproducible:
Every time

Steps to Reproduce:
1.  mrepo -gu
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/mrepo", line 19, in ?
    import ConfigParser, urlparse, hashlib, types, traceback
ImportError: No module named hashlib
Comment 1 James Findley 2010-08-03 07:29:38 EDT
Arg.  Sorry about this one - the fixed version should be in epel-testing soon.
Comment 2 Fedora Update System 2010-08-04 06:56:49 EDT
mrepo-0.8.7-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mrepo-0.8.7-2.el5
Comment 3 Fedora Update System 2010-08-04 19:03:23 EDT
mrepo-0.8.7-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrepo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mrepo-0.8.7-2.el5
Comment 4 Fedora Update System 2010-08-20 15:57:10 EDT
mrepo-0.8.7-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.